Bug 656115 (CVE-2010-4197) - CVE-2010-4197 WebKit: Use-after-free vulnerabiity related to text editing causes memory corruption
Summary: CVE-2010-4197 WebKit: Use-after-free vulnerabiity related to text editing cau...
Status: CLOSED ERRATA
Alias: CVE-2010-4197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101104,reported=20101103,sou...
Keywords: Security
Depends On: 640385 640386 667027
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 04:20 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:40 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-03-07 07:04:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Huzaifa S. Sidhpurwala 2010-11-23 04:20:26 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4197 to
the following vulnerability:

Name: CVE-2010-4197
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4197
Assigned: 20101105
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=51602
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2010/11/stable-channel-update.html

Upstream Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=48349
Trac: http://trac.webkit.org/changeset/70594

Use-after-free vulnerability in Google Chrome before 7.0.517.44 allows
remote attackers to cause a denial of service or possibly have
unspecified other impact via vectors involving text editing.

Comment 2 Huzaifa S. Sidhpurwala 2011-01-04 05:16:09 UTC
This is fixed in webkitgtk 1.2.6

Comment 3 Huzaifa S. Sidhpurwala 2011-01-04 05:53:46 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 667027]

Comment 4 errata-xmlrpc 2011-01-25 17:07:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.